%define name 	unixODBC
%define version 2.0.4
%define release 3mdk

%define major 		2
%define libname		lib%{name}%{major}

Summary: 	Unix ODBC driver manager and database drivers
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	http://www.unixodbc.org/%{name}-%{version}.tar.bz2
Source2:	odbcinst.ini
Group: 		Databases
Copyright: 	LGPL
URL: 		http://www.unixODBC.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel
BuildRequires:	XFree86-devel
BuildRequires:	libqt2-devel >= 2.2.4
BuildConflicts:	kdesupport-odbc
Provides: 	libodbc.so, libodbcinst.so

%description
UnixODBC is a free/open and solution for ODBC. ODBC is an open
specifican for providing application developers with a predictable API
with which to access Data Sources. Data Sources include SQL Servers and
any Data Source with an ODBC Driver.


%package -n %{libname}
Summary:	unixODBC libraries
Group:		System/Libraries

%description -n %{libname}
unixODBC  libraries.


%package -n %{libname}-devel
Summary: 	Includes and static libraries for ODBC development
Group: 		Development/Other
Requires: 	%{name} = %{version}

%description -n %{libname}-devel
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and static libraries for development.


%package gui-qt
Summary: 	ODBC configurator, Data Source browser and ODBC test tool based on Qt
Group: 		Databases
Requires: 	%{name} = %{version}

%description gui-qt
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
This package contains two Qt based GUI programs for unixODBC: ODBCConfig and DataManager


%package gui-gtk
Summary: 	ODBC configurator based on GTK+ and GTK+ widget for gnome-db
Group:		Databases
Requires: 	%{name} = %{version}

%description gui-gtk
unixODBC aims to provide a complete ODBC solution for the Linux platform.
All programs are GPL.
This package contains one GTK+ based GUI program for unixODBC: gODBCConfig



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1

%build
rm -rf $RPM_BUILD_ROOT

export QTDIR=/usr/lib/qt2
%configure\
	--enable-static



%make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}


# gODBCConfig must be built after installing the main unixODBC parts
cd gODBCConfig
./autogen.sh \
--prefix=%{_prefix} \
--sysconfdir=%{_sysconfdir} \
--with-odbc=$RPM_BUILD_ROOT%{_prefix}

%make
# Ugly hack.
%makeinstall || true 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/gODBCConfig
for pixmap in ./pixmaps/*;do
   install -m 644 $pixmap $RPM_BUILD_ROOT%{_datadir}/pixmaps/gODBCConfig
done
cd ..


# Menu entries

install -d $RPM_BUILD_ROOT%{_menudir}
install -d $RPM_BUILD_ROOT%{_iconsdir}


# ODBCConfig
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/ODBCConfig
?package(%{name}-gui-qt): longtitle="ODBCConfig" \
command="ODBCConfig" title="ODBCConfig"  needs="x11" \
section="Networking/Other" \
icon="LinuxODBC.xpm" 
EOF


# DataManager
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/DataManager
?package(%{name}-gui-qt): longtitle="DataManager" \
command="DataManager" title="DataManager"  needs="x11" \
section="Networking/Other" \
icon="LinuxODBC.xpm" 
EOF

# odbctest
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/odbctest
?package(%{name}-gui-qt): longtitle="ODBCtest" \
command="odbctest" title="ODBCtest"  needs="x11" \
section="Networking/Other" \
icon="LinuxODBC.xpm" 
EOF


# gODBCConfig
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gODBCConfig
?package(%{name}-gui-qt): longtitle="gODBCConfig" \
command="gODBCConfig" title="gODBCConfig"  needs="x11" \
section="Networking/Other" \
icon="LinuxODBC.xpm" 
EOF

install -m 644 ODBCConfig/LinuxODBC.xpm $RPM_BUILD_ROOT%{_iconsdir}/


find doc -name Makefile\* -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT 


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%post -n %{libname}-devel
/sbin/ldconfig

%postun -n %{libname}-devel
/sbin/ldconfig


%post gui-qt
%{update_menus}

%postun gui-qt
%{clean_menus}

%post gui-gtk
%{update_menus}

%postun gui-gtk
%{clean_menus}



%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/sqi
%{_bindir}/odbcinst


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*.*.*
%{_iconsdir}/*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*


%files gui-qt
%defattr(-, root, root)
%{_bindir}/DataManager
%{_bindir}/ODBCConfig
%{_bindir}/odbctest
%{_menudir}/DataManager
%{_menudir}/ODBCConfig
%{_menudir}/odbctest


%files gui-gtk 
%defattr(-, root, root)
%doc gODBCConfig/{NEWS,README,AUTHORS,}
%{_bindir}/gODBCConfig
%{_menudir}/gODBCConfig
%{_datadir}/pixmaps/*

%changelog
* Wed Mar 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.4-3mdk
- Use QTDIR instead.
- Use %%make and not %%__make.
- Work around an ugly installation problem.
- Include the pixmaps for GODBCConfig.

* Tue Mar 13 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.4-2mdk
- removed unnecessary patch
- added --with-qt-dir=/usr/lib/qt2 in %configure 

* Wed Mar 07 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.0.4-1mdk
- new release
- added gODBCConfig GUI (GTK)
- added ODBCConfig  GUI (KDE2)
- added Datamanager GUI (KDE2)
- added ODBCTest    GUI (KDE2)
- many improvements 
- bump a new and shiny source into cooker ;PP

* Tue Jan 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.3-1mdk
- bump a new and shiny source into cooker.

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.13-1mdk
- new and shiny source bumped into cooker.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.8.12-1mdk
- updated release.

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.8.7-2mdk
- macroszifications
- BM
- Geoff <snailtalk@mandrakesoft.com> -- fix the doc kludge

* Thu Apr 20 2000 <ghibo@mandrakesoft.com> 1.8.7-1mdk
- updated version.

* Sat Apr 15 2000 <ghibo@mandrakesoft.com> 1.8.3-1mdk
- updated to new version.
- fixed group.

* Tue Oct 19 1999 <lenny@mandrakesoft.com>
- Specfile adaptation.
- First pasckage for Mandrake






